<?php
$browser = Fw_Std::detectBrowser($_SERVER['HTTP_USER_AGENT']);
if (is_null($browser['name']))
{
	echo 'Браузер не определен';
	return;
}
	
$cmp = Fw_Std::checkForBrowserVersion($browser, array(
	'Opera' => array(9, 4),
	'Firefox' => array(3, 0),
	'Safari' => array(528, 16),
	'Chrome' => array(2, 0),
	'Internet Explorer' => array(7, 0)
));

if ($cmp > 0)
{
	echo 'Версия браузера новее пороговой';
}
else if ($cmp < 0)
{
	echo 'Версия браузера старше пороговой';
}
else
{
	echo 'Версия браузера равна пороговой';
}

echo 'Браузер:' . $browser['name'] . ' ' . join('.', array_filter($browser['version'], create_function('$x', 'return !is_null($x);')));